
{% load static %}
{% static "images" as baseUrl %}

<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">


<!-- Favicon icon-->
<link rel="shortcut icon" type="image/x-icon" href="{% static 'images/favicon/favicon.ico' %}">


<!-- Libs CSS -->
<link href="{% static 'fonts/feather/feather.css' %}" rel="stylesheet" />
<link href="{% static 'libs/dragula/dist/dragula.min.css' %}" rel="stylesheet" />
<link href="{% static 'libs/@mdi/font/css/materialdesignicons.min.css' %}" rel="stylesheet" />
<link href="{% static 'libs/prismjs/themes/prism.css' %}" rel="stylesheet" />
<link href="{% static 'libs/dropzone/dist/dropzone.css' %}" rel="stylesheet" />
<link href="{% static 'libs/magnific-popup/dist/magnific-popup.css' %}" rel="stylesheet" />
<link href="{% static 'libs/bootstrap-select/dist/css/bootstrap-select.min.css' %}" rel="stylesheet">
<link href="{% static 'libs/@yaireo/tagify/dist/tagify.css' %}" rel="stylesheet">
<link href="{% static 'libs/tiny-slider/dist/tiny-slider.css' %}" rel="stylesheet">
<link href="{% static 'libs/tippy.js/dist/tippy.css' %}" rel="stylesheet">
<link href="{% static 'css/style.css' %}" rel="stylesheet">

<!-- Theme css' %} -->
<link rel="stylesheet" href="{% static 'css/theme.min.css' %} ">
  <title>Geeks Academy Admin Template</title>
</head>

<body>
  <!-- Navbar -->
  
<nav class="navbar navbar-expand-lg navbar-default">
	<div class="container-fluid px-0">
	   <a class="navbar-brand" href="./index.html"
		  ><img src="{% static 'images/brand/logo/logo.svg' %}" alt=""
		  /></a>
	   <!-- Mobile view nav wrap -->
	   <ul	class="navbar-nav navbar-right-wrap ml-auto d-lg-none d-flex nav-top-wrap ">
		  <li class="dropdown stopevent">
			 <a
				href="#!"
				role="button"
				id="dropdownNotification"
				data-toggle="dropdown"
				aria-haspopup="true"
				aria-expanded="false">
			 <i class="fe fe-bell"> </i>
			 </a>
			 <div
				class="dropdown-menu dropdown-menu-right shadow"
				aria-labelledby="dropdownNotification">
				<div>
				   <div class="border-bottom px-3 pt-1 pb-3 d-flex justify-content-between align-items-center">
					  <span class="h5 mb-0">Notifications</span>
					  <a href="# " class="text-muted"
						 ><span class="align-middle"
						 ><i class="fe fe-settings mr-1"></i></span
						 ></a>
				   </div>
				   <ul class="list-group list-group-flush notification-list-scroll">
					  <li class="list-group-item bg-light">
						 <div class="row">
							<div class="col">
							   <div class="d-flex">
								  <img
									 src="{% static 'images/avatar/avatar-1.jpg' %}"
									 alt=""
									 class="avatar-md rounded-circle"
									 />
								  <div class="ml-3">
									 <h5 class="font-weight-bold mb-1">{{notification.user}}</h5>
									 <p class="mb-3N">
										{{notification.content}}
									 </p>
									 <span class="font-size-xs text-muted">
									 <span>
										<span class="fe fe-thumbs-up text-success mr-1"></span>  <div class="dateN"> </div>	 </span>
									 <span class="ml-1 timeN"> </span>
									 </span>
								  </div>
							   </div>
							   <a class="stretched-link" href="#!"></a>
							</div>
							<div class="col-auto text-center">
							   <a
								  href="#!"
								  class="badge-dot badge-info"
								  data-toggle="tooltip"
								  data-placement="top"
								  title=""
								  data-original-title="Mark as read"
								  >
							   </a>
							   <div>
								  <a
									 href="#!"
									 data-toggle="tooltip"
									 data-placement="top"
									 title=""
									 data-original-title="Remove"
									 >
								  <i class="fe fe-x text-muted"></i>
								  </a>
							   </div>
							</div>
						 </div>
					  </li>
				   </ul>

				   <div class="border-top px-3 pt-3 pb-0">
					  <a
						 href="./pages/notification-history.html"
						 class="text-muted"
						 >See all Notifications</a
						 >
				   </div>
				</div>
			 </div>
		  </li>
		  <li class="dropdown ml-2">
			 <a
				class="rounded-circle"
				href="#!"
				role="button"
				id="dropdownUser"
				data-toggle="dropdown"
				aria-haspopup="true"
				aria-expanded="false"
				>
				<div class="avatar avatar-md avatar-indicators avatar-online">
				   <img
					  alt="avatar"
					  src="{% static 'images/avatar/avatar-1.jpg' %}"
					  class="rounded-circle"
					  />
				</div>
			 </a>
			 <div
				class="dropdown-menu dropdown-menu-right shadow"
				aria-labelledby="dropdownUser"
				>
				<div class="dropdown-item">
				   <div class="d-flex">
					  <div class="avatar avatar-md avatar-indicators avatar-online">
						 <img
							alt="avatar"
							src="{% static 'images/avatar/avatar-1.jpg' %}"
							class="rounded-circle"
							/>
					  </div>
					  <div class="ml-3 lh-1">
						 <h5 class="mb-1">{{request.user}}</h5>
						 <p class="mb-0 text-muted">annette@geeksui.com</p>
					  </div>
				   </div>
				</div>
				<div class="dropdown-divider"></div>
				<ul class="list-unstyled">
				   <li class="dropdown-submenu dropleft-lg">
					  <a
						 class="dropdown-item dropdown-list-group-item dropdown-toggle"
						 href="#!"
						 >
					  <i class="fe fe-circle mr-2"></i>Status
					  </a>
					  <ul class="dropdown-menu">
						 <li>
							<a class="dropdown-item" href="#!">
							<span class="badge-dot bg-success mr-2"></span>Online
							</a>
						 </li>
						 <li>
							<a class="dropdown-item" href="#!">
							<span class="badge-dot bg-secondary mr-2"></span>Offline
							</a>
						 </li>
						 <li>
							<a class="dropdown-item" href="#!">
							<span class="badge-dot bg-warning mr-2"></span>Away
							</a>
						 </li>
						 <li>
							<a class="dropdown-item" href="#!">
							<span class="badge-dot bg-danger mr-2"></span>Busy
							</a>
						 </li>
					  </ul>
				   </li>
				   <li>
					  <a class="dropdown-item" href="{% url 'edit-profile' %}">
					  <i class="fe fe-user mr-2"></i>Profile
					  </a>
				   </li>
				   <li>
					  <a
						 class="dropdown-item"
						 href="./pages/student-subscriptions.html"
						 >
					  <i class="fe fe-star mr-2"></i>Subscription
					  </a>
				   </li>
				   <li>
					  <a class="dropdown-item" href="#!">
					  <i class="fe fe-settings mr-2"></i>Settings
					  </a>
				   </li>
				</ul>
				<div class="dropdown-divider"></div>
				<ul class="list-unstyled">
				   <li>
					  <a class="dropdown-item" href="{% url 'logout' %}">
					  <i class="fe fe-power mr-2"></i>Sign Out
					  </a>
				   </li>
				</ul>
			 </div>
		  </li>
	   </ul>
	   <!-- Button -->
	   <button
		  class="navbar-toggler collapsed"
		  type="button"
		  data-toggle="collapse"
		  data-target="#navbar-default"
		  aria-controls="navbar-default"
		  aria-expanded="false"
		  aria-label="Toggle navigation"
		  >
	   <span class="icon-bar top-bar mt-0"></span>
	   <span class="icon-bar middle-bar"></span>
	   <span class="icon-bar bottom-bar"></span>
	   </button>
	   <!-- Collapse -->
	   <div class="collapse navbar-collapse" id="navbar-default">
		  <ul class="navbar-nav">
			 <li class="nav-item dropdown">
				<a
				   class="nav-link dropdown-toggle"
				   href="#!"
				   id="navbarBrowse"
				   data-toggle="dropdown"
				   aria-haspopup="true"
				   aria-expanded="false"
				   data-display="static"
				   >
				Browse
				</a>
				<ul
				   class="dropdown-menu dropdown-menu-arrow"
				   aria-labelledby="navbarBrowse"
				   >
				   <li class="dropdown-submenu dropright">
					  <a
						 class="dropdown-item dropdown-list-group-item dropdown-toggle"
						 href="#!"
						 >
					  Web Development
					  </a>
					  <ul class="dropdown-menu">
						 <li>
							<a
							   class="dropdown-item"
							   href="./pages/course-category.html"
							   >
							Bootstrap</a
							   >
						 </li>
						 <li>
							<a
							   class="dropdown-item"
							   href="./pages/course-category.html"
							   >
							React
							</a>
						 </li>
						 <li>
							<a
							   class="dropdown-item"
							   href="./pages/course-category.html"
							   >
							GraphQl</a
							   >
						 </li>
						 <li>
							<a
							   class="dropdown-item"
							   href="./pages/course-category.html"
							   >
							Gatsby</a
							   >
						 </li>
						 <li>
							<a
							   class="dropdown-item"
							   href="./pages/course-category.html"
							   >
							Grunt</a
							   >
						 </li>
						 <li>
							<a
							   class="dropdown-item"
							   href="./pages/course-category.html"
							   >
							Svelte</a
							   >
						 </li>
						 <li>
							<a
							   class="dropdown-item"
							   href="./pages/course-category.html"
							   >
							Meteor</a
							   >
						 </li>
						 <li>
							<a
							   class="dropdown-item"
							   href="./pages/course-category.html"
							   >
							HTML5</a
							   >
						 </li>
						 <li>
							<a
							   class="dropdown-item"
							   href="./pages/course-category.html"
							   >
							Angular</a
							   >
						 </li>
					  </ul>
				   </li>
				   <li class="dropdown-submenu dropright">
					  <a
						 class="dropdown-item dropdown-list-group-item dropdown-toggle"
						 href="#!"
						 >
					  Design
					  </a>
					  <ul class="dropdown-menu">
						 <li>
							<a
							   class="dropdown-item"
							   href="./pages/course-category.html"
							   >
							Graphic Design</a
							   >
						 </li>
						 <li>
							<a
							   class="dropdown-item"
							   href="./pages/course-category.html"
							   >
							Illustrator
							</a>
						 </li>
						 <li>
							<a
							   class="dropdown-item"
							   href="./pages/course-category.html"
							   >
							UX / UI Design</a
							   >
						 </li>
						 <li>
							<a
							   class="dropdown-item"
							   href="./pages/course-category.html"
							   >
							Figma Design</a
							   >
						 </li>
						 <li>
							<a
							   class="dropdown-item"
							   href="./pages/course-category.html"
							   >
							Adobe XD</a
							   >
						 </li>
						 <li>
							<a
							   class="dropdown-item"
							   href="./pages/course-category.html"
							   >
							Sketch</a
							   >
						 </li>
						 <li>
							<a
							   class="dropdown-item"
							   href="./pages/course-category.html"
							   >
							Icon Design</a
							   >
						 </li>
						 <li>
							<a
							   class="dropdown-item"
							   href="./pages/course-category.html"
							   >
							Photoshop</a
							   >
						 </li>
					  </ul>
				   </li>
				   <li>
					  <a
						 href="./pages/course-category.html"
						 class="dropdown-item"
						 >
					  Mobile App
					  </a>
				   </li>
				   <li>
					  <a
						 href="./pages/course-category.html"
						 class="dropdown-item"
						 >
					  IT Software
					  </a>
				   </li>
				   <li>
					  <a
						 href="./pages/course-category.html"
						 class="dropdown-item"
						 >
					  Marketing
					  </a>
				   </li>
				   <li>
					  <a
						 href="./pages/course-category.html"
						 class="dropdown-item"
						 >
					  Music
					  </a>
				   </li>
				   <li>
					  <a
						 href="./pages/course-category.html"
						 class="dropdown-item"
						 >
					  Life Style
					  </a>
				   </li>
				   <li>
					  <a
						 href="./pages/course-category.html"
						 class="dropdown-item"
						 >
					  Business
					  </a>
				   </li>
				   <li>
					  <a
						 href="./pages/course-category.html"
						 class="dropdown-item"
						 >
					  Photography
					  </a>
				   </li>
				</ul>
			 </li>
			 <li class="nav-item dropdown">
				<a
				   class="nav-link dropdown-toggle"
				   href="#!"
				   id="navbarLanding"
				   data-toggle="dropdown"
				   aria-haspopup="true"
				   aria-expanded="false"
				   >
				Landings
				</a>
				<ul class="dropdown-menu" aria-labelledby="navbarLanding">
				   <li>
					  <h4 class="dropdown-header">Landings</h4>
				   </li>
				   <li>
					  <a href="./pages/landings/landing-courses.html" class="dropdown-item">
					 Courses
					  </a>
				   </li>
				   <li>
					<a href="./pages/landings/course-lead.html" class="dropdown-item">
				   Lead Course
					</a>
				 </li>

				</ul>
			 </li>
			 <li class="nav-item dropdown">
				<a
				   class="nav-link dropdown-toggle"
				   href="#!"
				   id="navbarPages"
				   data-toggle="dropdown"
				   aria-haspopup="true"
				   aria-expanded="false"
				   >
				Pages
				</a>
				<ul
				   class="dropdown-menu dropdown-menu-arrow"
				   aria-labelledby="navbarPages"
				   >
				   <li>
					  <a
						 class="dropdown-item"
						 href="./pages/course-single.html"
						 >
					  Course Single
					  </a>
				   </li>
				   <li>
					  <a
						 class="dropdown-item"
						 href="./pages/course-single-v2.html"
						 >
					  Course Single v2
					  </a>
				   </li>
				   <li>
					  <a
						 class="dropdown-item"
						 href="./pages/course-resume.html"
						 >
					  Course Resume
					  </a>
				   </li>
				   <li>
					  <a
						 class="dropdown-item"
						 href="./pages/course-category.html"
						 >
					  Course Category
					  </a>
				   </li>
				   <li>
					  <a
						 class="dropdown-item"
						 href="./pages/course-checkout.html"
						 >
					  Course Checkout
					  </a>
				   </li>
				   <li>
					  <a
						 class="dropdown-item"
						 href="./pages/course-filter-list.html"
						 >
					  Course List/Grid
					  </a>
				   </li>
				   <li>
					  <a class="dropdown-item" href="./pages/add-course.html">
					  Add New Course
					  </a>
				   </li>
				   <li class="dropdown-submenu dropright">
					<a
					class="dropdown-item dropdown-list-group-item dropdown-toggle"
					href="#!"
					>
					Paths
					</a>
					<ul class="dropdown-menu">

					   <li>
						  <a href="./pages/course-path.html" class="dropdown-item">
						  Browse Path
						  </a>
					   </li>
					   <li>
						  <a
							 href="./pages/course-path-single.html"
							 class="dropdown-item"
							 >
						  Path Single
						  </a>
					   </li>
					</ul>
				 </li>
				   <li>
					  <hr class="mx-3" />
				   </li>

				   <li class="dropdown-submenu dropright">
					  <a
						 class="dropdown-item dropdown-list-group-item dropdown-toggle"
						 href="#!"
						 >
					  Blog
					  </a>
					  <ul class="dropdown-menu">
						 <li>
							<a class="dropdown-item" href="./pages/blog.html">
							Listing</a
							   >
						 </li>
						 <li>
							<a
							   class="dropdown-item"
							   href="./pages/blog-single.html"
							   >
							Article
							</a>
						 </li>
						 <li>
							<a
							   class="dropdown-item"
							   href="./pages/blog-category.html"
							   >
							Category</a
							   >
						 </li>
						 <li>
							<a
							   class="dropdown-item"
							   href="./pages/blog-sidebar.html"
							   >
							Sidebar</a
							   >
						 </li>
					  </ul>
				   </li>




				   <li>
                    <a class="dropdown-item" href="./pages/about.html">
                    About
                    </a>
                 </li>

				   <li>
					  <a class="dropdown-item" href="#!">
					  Help Center <span class="badge badge-success ml-1">Pro</span>
					  </a>
				   </li>
				   <li>
					  <a class="dropdown-item" href="./pages/404-error.html">
					  Error Page
					  </a>
				   </li>
				   <li>
					  <a class="dropdown-item" href="./pages/pricing.html">
					  Pricing
					  </a>
				   </li>
				</ul>
			 </li>
			 {% if user.is_authenticated %}
				 {% if 'teacher' in roles %} 
			 <li class="nav-item">
				<a class="btn btn-primary" href="{% url 'dashboardInstructor' %}" role="button">Switch to Instructor</a>
			 </li>
				 {% endif %} 
				 
				 {% if 'admin' in roles %} 
				 <li class="nav-item">
					<a class="btn btn-primary" href="{% url 'dashboardAdmin' %}" role="button">Go to Dashboard</a>
				 </li>
				{% endif %}
				
			{% endif %}


		  </ul>
		  <form class="mt-3 mt-lg-0 ml-lg-3 d-flex align-items-center">
			 <span class="position-absolute pl-3 search-icon">
			 <i class="fe fe-search"></i>
			 </span>
			 <input
				type="search"
				class="form-control pl-6"
				placeholder="Search Courses"
				/>
		  </form>
		  {% if user.is_authenticated %}
		  <ul class="navbar-nav navbar-right-wrap ml-auto d-none d-lg-block">
			 <li class="dropdown d-inline-block stopevent" >
				<a
				   href="#!"
				   role="button"
				   id="dropdownNotificationSecond"
				   data-toggle="dropdown"
				   aria-haspopup="true"
				   aria-expanded="false"
				   >
				<i class="fe fe-bell"> </i>
				</a>
				<div
				   class="dropdown-menu dropdown-menu-xl dropdown-menu-right"
				   aria-labelledby="dropdownNotificationSecond"
				   >
				   <div>
					  <div
						 class="border-bottom px-3 pt-1 pb-3 d-flex justify-content-between align-items-center"
						 >
						 <span class="h5 mb-0">Notifications </span>
						 <a href="# " class="text-muted"
							><span class="align-middle"
							><i class="fe fe-settings mr-1"></i></span
							></a>
					  </div>
					  <ul class="list-group list-group-flush notification-list-scroll">
              <div id="notif" > 

              </div>
						  {% for notification in notifications %}
						 <li class="list-group-item bg-light" >
							<div class="row" >
							   <div class="col">
								  <div class="d-flex">
									 <img
										src="{% static 'images/avatar/avatar-1.jpg' %}"
										alt=""
										class="avatar-md rounded-circle"
										/>
									 <div class="ml-3">
										<h5 class="font-weight-bold mb-1">{{notification.notif_type}} : </h5>
										<p class="mb-3N">
										   {{notification.content}}
										</p>
										<span class="font-size-xs text-muted">
										<span
										   ><span
										   class="fe fe-thumbs-up text-success mr-1"
										   ></span
										   ></span
										   >
										<span class="ml-1">{{notification.created_date | date }} {{ notification.created_date|time:"H:i" }} </span>
										</span>
									 </div>
								  </div>
								  <a class="stretched-link"  href="{% url 'checkNotification' notification.id %}"></a>
							   </div>
							   <div class="col-auto text-center">
								  <a
									 href="#!"
									 class="badge-dot badge-info"
									 data-toggle="tooltip"
									 data-placement="top"
									 title=""
									 data-original-title="Mark as read"
									 >
								  </a>
								  <div>
									 <a
										href="#!"
										class="bg-transparent"
										data-toggle="tooltip"
										data-placement="top"
										title=""
										data-original-title="Remove"
										>
									 <i class="fe fe-x text-muted"></i>
									 </a>
								  </div>
							   </div>
							</div>
						 </li>
						 {% endfor %}

					  </ul>
					  <div class="border-top px-3 pt-3 pb-0">
						 <a
							href="./pages/notification-history.html"
							class="text-muted"
							>See all Notifications</a
							>
					  </div>
				   </div>
				</div>
			 </li>
			 <li class="dropdown ml-2 d-inline-block">
				<a
				   class="rounded-circle"
				   href="#!"
				   role="button"
				   id="dropdownUserProfile"
				   data-toggle="dropdown"
				   aria-haspopup="true"
				   aria-expanded="false"
				   >
				   <div class="avatar avatar-md avatar-indicators avatar-online">
					  <img
						 alt="avatar"
						 src="{% static 'images/avatar/avatar-1.jpg' %}"
						 class="rounded-circle"
						 />
				   </div>
				</a>
				<div
				   class="dropdown-menu dropdown-menu-right"
				   aria-labelledby="dropdownUserProfile"
				   >
				   
				   <div class="dropdown-item">
					  <div class="d-flex">
						 <div class="avatar avatar-md avatar-indicators avatar-online">
							<img
							   alt="avatar"
							   src="{% static 'images/avatar/avatar-1.jpg' %}"
							   class="rounded-circle"
							   />
						 </div>
						 <div class="ml-3 lh-1">
							<h5 class="mb-1">{{request.user}}</h5>
							<p class="mb-0 text-muted">{{request.user.email}}</p>
						 </div>
					  </div>
				   </div>
				   <div class="dropdown-divider"></div>
				   <ul class="list-unstyled">
					  <li class="dropdown-submenu dropleft-lg">
						 <a
							class="dropdown-item dropdown-list-group-item dropdown-toggle"
							href="#!"
							>
						 <i class="fe fe-circle mr-2"></i>Status
						 </a>
						 <ul class="dropdown-menu">
							<li>
							   <a class="dropdown-item" href="#!">
							   <span class="badge-dot bg-success mr-2"></span>Online
							   </a>
							</li>
							<li>
							   <a class="dropdown-item" href="#!">
							   <span class="badge-dot bg-secondary mr-2"></span>Offline
							   </a>
							</li>
							<li>
							   <a class="dropdown-item" href="#!">
							   <span class="badge-dot bg-warning mr-2"></span>Away
							   </a>
							</li>
							<li>
							   <a class="dropdown-item" href="#!">
							   <span class="badge-dot bg-danger mr-2"></span>Busy
							   </a>
							</li>
						 </ul>
					  </li>
					  <li>
						 <a
							class="dropdown-item"
							href="{% url 'edit-profile' %}"
							>
						 <i class="fe fe-user mr-2"></i>Profile
						 </a>
					  </li>
					  <li>
						 <a
							class="dropdown-item"
							href="./pages/student-subscriptions.html"
							>
						 <i class="fe fe-star mr-2"></i>Subscription
						 </a>
					  </li>
					  <li>
						 <a class="dropdown-item" href="#!">
						 <i class="fe fe-settings mr-2"></i>Settings
						 </a>
					  </li>
				   </ul>
				   <div class="dropdown-divider"></div>
				   <ul class="list-unstyled">
					  <li>
						 <a class="dropdown-item" href="{% url 'logout' %}">
						 <i class="fe fe-power mr-2"></i>Sign Out
						 </a>
					  </li>
				   </ul>
				</div>
			 </li>
		  </ul>
		  {% else %}
		  <ul class="navbar-nav navbar-right-wrap ml-auto d-none d-lg-block">
		  <a class="btn btn-primary" href="{% url 'login' %}" role="button">Sign In</a>
		  <a class="btn btn-secondary" href="{% url 'register' %}" role="button">Register</a>
		  {% endif %}
		</ul>
	   </div>
	</div>
 </nav>

  <!-- Page Content -->
  <div class="bg-primary">
    <div class="container">
      <!-- Hero Section -->
      <div class="row align-items-center no-gutters">
        <div class="col-xl-5 col-lg-6 col-md-12">
          <div class="py-5 py-lg-0">
            <h1 class="text-white display-4 font-weight-bold">Welcome to Geeks UI
              Learning Application
            </h1>
            <p class="text-white-50 mb-4 lead">
              Hand-picked Instructor and expertly crafted courses, designed for the modern students and entrepreneur.
            </p>
            <a href="{% url 'courseFiltre' %}" class="btn btn-success">Browse Courses</a> 
			{% if 'teacher' not in roles %} 
            <a href="{% url 'beInstructor' %}" class="btn btn-white">Are You Instructor?</a>
			{% endif %} 

          </div>
        </div>
        <div class=" col-xl-7 col-lg-6 col-md-12 text-lg-right text-center">
          <img src="{% static 'images/hero/hero-img.png' %}" alt="" class="img-fluid" />
        </div>
      </div>
    </div>
  </div>
  <div class="bg-white py-4 shadow-sm">
    <div class="container">
      <div class="row align-items-center no-gutters">
        <!-- Features -->
        <div class="col-xl-4 col-lg-4 col-md-6 mb-lg-0 mb-4">
          <div class="d-flex align-items-center">
            <span
              class="icon-sahpe icon-lg bg-light-warning rounded-circle text-center text-dark-warning font-size-md "> <i
                class="fe fe-video"> </i></span>
            <div class="ml-3">
              <h4 class="mb-0 font-weight-semi-bold">30,000 online courses</h4>
              <p class="mb-0">Enjoy a variety of fresh topics</p>
            </div>
          </div>
        </div>
        <!-- Features -->
        <div class="col-xl-4 col-lg-4 col-md-6 mb-lg-0 mb-4">
          <div class="d-flex align-items-center">
            <span
              class="icon-sahpe icon-lg bg-light-warning rounded-circle text-center text-dark-warning font-size-md "> <i
                class="fe fe-users"> </i></span>
            <div class="ml-3">
              <h4 class="mb-0 font-weight-semi-bold">Expert instruction</h4>
              <p class="mb-0">Find the right instructor for you</p>
            </div>
          </div>
        </div>
        <!-- Features -->
        <div class="col-xl-4 col-lg-4 col-md-12">
          <div class="d-flex align-items-center">
            <span
              class="icon-sahpe icon-lg bg-light-warning rounded-circle text-center text-dark-warning font-size-md "> <i
                class="fe fe-clock"> </i></span>
            <div class="ml-3">
              <h4 class="mb-0 font-weight-semi-bold">Lifetime access</h4>
              <p class="mb-0">Learn on your schedule</p>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- Content -->
  <div class="pt-lg-12 pb-lg-3 pt-8 pb-6">
    <div class="container">
      <div class="row mb-4">
        <div class="col">
          <h2 class="mb-0">Recommended to you</h2>
        </div>
      </div>
      <div class="position-relative">
        <ul class="controls " id="sliderFirstControls">
          <li class="prev">
                  <i class="fe fe-chevron-left"></i>
                </li>
                <li class="next">
                  <i class="fe fe-chevron-right"></i>
                </li>
        </ul>
        <div class="sliderFirst">

			{% for course in courses %}

          <div class="item">
            <!-- Card -->
            <div class="card  mb-4 card-hover">
              <a href="pages/course-single.html" class="card-img-top"><img src="{{course.image.url}}"  width = "550"  height="250" alt=""
                  class="rounded-top card-img-top"></a>
              <!-- Card Body --> 
              <div class="card-body">
                <h4 class="mb-2 text-truncate-line-2 "><a href="{% url 'course-details' course.id %}" class="text-inherit"> {{ course.name}} </a></h4>
                <!-- List -->
                <ul class="mb-3 list-inline">
                  <li class="list-inline-item"><i class="far fa-clock mr-1"></i>3h 56m</li>
                  <li class="list-inline-item">
                    <svg class="mr-1 mt-n1" width="16" height="16" viewBox="0 0 16 16" fill="none"
                      xmlns="http://www.w3.org/2000/svg">
                      <rect x="3" y="8" width="2" height="6" rx="1" fill="#754FFE" />
                      <rect x="7" y="5" width="2" height="9" rx="1" fill="#DBD8E9" />
                      <rect x="11" y="2" width="2" height="12" rx="1" fill="#DBD8E9" />
                    </svg>
                    {{ course.level}}
                  </li>
                </ul>
                <div class="lh-1">
                  <span>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning"></i>
                  </span>
                  <span class="text-warning">4.5</span>
                  <span class="font-size-xs text-muted">(7,700)</span>
                </div>
              </div>
              <!-- Card Footer -->
              <div class="card-footer">
                <div class="row align-items-center no-gutters">
                  <div class="col-auto">
                    <img src="{% static 'images/avatar/avatar-1.jpg' %}" class="rounded-circle avatar-xs" alt="">
                  </div>
                  <div class="col ml-2">
                    <span>{{ course.instructor}} </span>
                  </div>
                  <div class="col-auto">
                    <a href="#!" class="text-muted bookmark">
                      <i class="fe fe-bookmark  "></i>
                    </a>
                  </div>
                </div>
              </div>
            </div>
          </div>

		  {% endfor %}
          
        </div>
      </div>
    </div>
  </div>
  <div class="pb-lg-3 pt-lg-3">
    <div class="container">
      <div class="row mb-4">
        <div class="col">
          <h2 class="mb-0">Most Popular</h2>
        </div>
      </div>
      <div class="position-relative">
        <ul class="controls " id="sliderSecondControls">
          <li class="prev">
                  <i class="fe fe-chevron-left"></i>
                </li>
                <li class="next">
                  <i class="fe fe-chevron-right"></i>
                </li>
        </ul>
        <div class="sliderSecond">
          <div class="item">
            <!-- Card -->
            <div class="card  mb-4 card-hover">
              <a href="pages/course-single.html" class="card-img-top"><img src="{% static 'images/course/course-gatsby.jpg' %}" alt=""
                  class="card-img-top rounded-top"></a>
              <!-- Card Body -->
              <div class="card-body">
                <h4 class="mb-2 text-truncate-line-2 "><a href="pages/course-single.html" class="text-inherit">Gatsby
                    JS:
                    build blog with GraphQL and React</a></h4>
                <!-- List -->
                <ul class="mb-3 list-inline">
                  <li class="list-inline-item"><i class="far fa-clock mr-1"></i>3h 56m</li>
                  <li class="list-inline-item">
                    <svg class="mr-1 mt-n1" width="16" height="16" viewBox="0 0 16 16" fill="none"
                      xmlns="http://www.w3.org/2000/svg">
                      <rect x="3" y="8" width="2" height="6" rx="1" fill="#754FFE" />
                      <rect x="7" y="5" width="2" height="9" rx="1" fill="#DBD8E9" />
                      <rect x="11" y="2" width="2" height="12" rx="1" fill="#DBD8E9" />
                    </svg>
                    Beginner
                  </li>
                </ul>
                <div class="lh-1">
                  <span>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning"></i>
                  </span>
                  <span class="text-warning">4.5</span>
                  <span class="font-size-xs text-muted">(9,370)</span>
                </div>
              </div>
              <!-- Card Footer -->
              <div class="card-footer">
                <div class="row align-items-center no-gutters">
                  <div class="col-auto">
                    <img src="{% static 'images/avatar/avatar-5.jpg' %}" class="rounded-circle avatar-xs" alt="">
                  </div>
                  <div class="col ml-2">
                    <span>Morris Mccoy</span>
                  </div>
                  <div class="col-auto">
                    <a href="#!" class="text-muted bookmark">
                      <i class="fe fe-bookmark  "></i>
                    </a>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="item">
            <!-- Card -->
            <div class="card  mb-4 card-hover">
              <a href="pages/course-single.html" class="card-img-top"><img src="{% static 'images/course/course-javascript.jpg' %}"
                  alt="" class="card-img-top rounded-top"></a>
              <!-- Card Body -->
              <div class="card-body">
                <h4 class="mb-2 text-truncate-line-2 "><a href="pages/course-single.html" class="text-inherit">Getting
                    Started with JavaScript</a></h4>
                <!-- List -->
                <ul class="mb-3 list-inline">
                  <li class="list-inline-item"><i class="far fa-clock mr-1"></i>2h 46m</li>
                  <li class="list-inline-item">
                    <svg class="mr-1 mt-n1" width="16" height="16" viewBox="0 0 16 16" fill="none"
                      xmlns="http://www.w3.org/2000/svg">
                      <rect x="3" y="8" width="2" height="6" rx="1" fill="#754FFE" />
                      <rect x="7" y="5" width="2" height="9" rx="1" fill="#754FFE" />
                      <rect x="11" y="2" width="2" height="12" rx="1" fill="#754FFE" />
                    </svg>
                    Advance
                  </li>
                </ul>
                <div class="lh-1">
                  <span>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning"></i>
                  </span>
                  <span class="text-warning">4.5</span>
                  <span class="font-size-xs text-muted">(5,245)</span>
                </div>
              </div>
              <!-- Card Footer -->
              <div class="card-footer">
                <div class="row align-items-center no-gutters">
                  <div class="col-auto">
                    <img src="{% static 'images/avatar/avatar-6.jpg' %}" class="rounded-circle avatar-xs" alt="">
                  </div>
                  <div class="col ml-2">
                    <span>Ted Hawkins</span>
                  </div>
                  <div class="col-auto">
                    <a href="#!" class="text-muted bookmark">
                      <i class="fe fe-bookmark  "></i>
                    </a>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="item">
            <!-- Card -->
            <div class="card  mb-4 card-hover">
				<a href="pages/course-single.html" class="card-img-top"><img src="{% static 'images/course/course-css.jpg' %}" alt=""
					class="card-img-top rounded-top"></a>
              <!-- Card Body -->
              <div class="card-body">
                <h4 class="mb-2 text-truncate-line-2 "><a href="pages/course-single.html" class="text-inherit">CSS:
                    ultimate css' %} course from beginner to advanced</a></h4>
                <!-- List -->
                <ul class="mb-3 list-inline">
                  <li class="list-inline-item"><i class="far fa-clock mr-1"></i>1h 30m</li>
                  <li class="list-inline-item">
                    <svg class="mr-1 mt-n1" width="16" height="16" viewBox="0 0 16 16" fill="none"
                      xmlns="http://www.w3.org/2000/svg">
                      <rect x="3" y="8" width="2" height="6" rx="1" fill="#754FFE" />
                      <rect x="7" y="5" width="2" height="9" rx="1" fill="#DBD8E9" />
                      <rect x="11" y="2" width="2" height="12" rx="1" fill="#DBD8E9" />
                    </svg>
                    Beginner
                  </li>
                </ul>
                <div class="lh-1">
                  <span>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning"></i>
                  </span>
                  <span class="text-warning">4.5</span>
                  <span class="font-size-xs text-muted">(17,000)</span>
                </div>
              </div>
              <!-- Card Footer -->
              <div class="card-footer">
                <div class="row align-items-center no-gutters">
                  <div class="col-auto">
                    <img src="{% static 'images/avatar/avatar-7.jpg' %}" class="rounded-circle avatar-xs" alt="">
                  </div>
                  <div class="col ml-2">
                    <span>Juanita Bell</span>
                  </div>
                  <div class="col-auto">
                    <a href="#!" class="text-muted bookmark">
                      <i class="fe fe-bookmark  "></i>
                    </a>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="item">
            <!-- Card -->
            <div class="card  mb-4 card-hover">
              <a href="pages/course-single.html" class="card-img-top"><img src="{% static 'images/course/course-wordpress.jpg' %}"
                  alt="" class="card-img-top rounded-top"></a>
              <!-- Card Body -->
              <div class="card-body">
                <h4 class="mb-2 text-truncate-line-2 "><a href="pages/course-single.html"
                    class="text-inherit">Wordpress:
                    complete WordPress theme & plugin development</a></h4>
                <!-- List -->
                <ul class="mb-3 list-inline">
                  <li class="list-inline-item"><i class="far fa-clock mr-1"></i>2h 30m</li>
                  <li class="list-inline-item">
                    <svg class="mr-1 mt-n1" width="16" height="16" viewBox="0 0 16 16" fill="none"
                      xmlns="http://www.w3.org/2000/svg">
                      <rect x="3" y="8" width="2" height="6" rx="1" fill="#754FFE" />
                      <rect x="7" y="5" width="2" height="9" rx="1" fill="#754FFE" />
                      <rect x="11" y="2" width="2" height="12" rx="1" fill="#DBD8E9" />
                    </svg>
                    Intermediate
                  </li>
                </ul>
                <div class="lh-1">
                  <span>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning"></i>
                  </span>
                  <span class="text-warning">4.5</span>
                  <span class="font-size-xs text-muted">(16,500)</span>
                </div>
              </div>
              <!-- Card Footer -->
              <div class="card-footer">
                <div class="row align-items-center no-gutters">
                  <div class="col-auto">
                    <img src="{% static 'images/avatar/avatar-8.jpg' %}" class="rounded-circle avatar-xs" alt="">
                  </div>
                  <div class="col ml-2">
                    <span>Claire Robertson</span>
                  </div>
                  <div class="col-auto">
                    <a href="#!" class="text-muted bookmark">
                      <i class="fe fe-bookmark  "></i>
                    </a>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="item">
            <!-- Card -->
            <div class="card  mb-4 card-hover">
              <a href="pages/course-single.html" class="card-img-top"><img src="{% static 'images/course/course-javascript.jpg' %}"
                  alt="" class="card-img-top rounded-top"></a>
              <!-- Card Body -->
              <div class="card-body">
                <h4 class="mb-2 text-truncate-line-2 "><a href="pages/course-single.html" class="text-inherit">Getting
                    Started with JavaScript</a></h4>
                <!-- List -->
                <ul class="mb-3 list-inline">
                  <li class="list-inline-item"><i class="far fa-clock mr-1"></i>2h 46m</li>
                  <li class="list-inline-item">
                    <svg class="mr-1 mt-n1" width="16" height="16" viewBox="0 0 16 16" fill="none"
                      xmlns="http://www.w3.org/2000/svg">
                      <rect x="3" y="8" width="2" height="6" rx="1" fill="#754FFE" />
                      <rect x="7" y="5" width="2" height="9" rx="1" fill="#754FFE" />
                      <rect x="11" y="2" width="2" height="12" rx="1" fill="#754FFE" />
                    </svg>
                    Advance
                  </li>
                </ul>
                <div class="lh-1">
                  <span>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning"></i>
                  </span>
                  <span class="text-warning">4.5</span>
                  <span class="font-size-xs text-muted">(5,245)</span>
                </div>
              </div>
              <!-- Card Footer -->
              <div class="card-footer">
                <div class="row align-items-center no-gutters">
                  <div class="col-auto">
                    <img src="{% static 'images/avatar/avatar-6.jpg' %}" class="rounded-circle avatar-xs" alt="">
                  </div>
                  <div class="col ml-2">
                    <span>Ted Hawkins</span>
                  </div>
                  <div class="col-auto">
                    <a href="#!" class="text-muted bookmark">
                      <i class="fe fe-bookmark  "></i>
                    </a>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="item">
            <!-- Card -->
            <div class="card  mb-4 card-hover">
              <a href="pages/course-single.html" class="card-img-top"><img src="{% static 'images/course/course-css.jpg' %}" alt=""
                  class="card-img-top rounded-top"></a>
              <!-- Card Body -->
              <div class="card-body">
				<h4 class="mb-2 text-truncate-line-2 "><a href="pages/course-single.html" class="text-inherit">CSS:
                    ultimate CSS course from beginner to advanced</a></h4>
                <!-- List -->
                <ul class="mb-3 list-inline">
                  <li class="list-inline-item"><i class="far fa-clock mr-1"></i>1h 30m</li>
                  <li class="list-inline-item">
                    <svg class="mr-1 mt-n1" width="16" height="16" viewBox="0 0 16 16" fill="none"
                      xmlns="http://www.w3.org/2000/svg">
                      <rect x="3" y="8" width="2" height="6" rx="1" fill="#754FFE" />
                      <rect x="7" y="5" width="2" height="9" rx="1" fill="#DBD8E9" />
                      <rect x="11" y="2" width="2" height="12" rx="1" fill="#DBD8E9" />
                    </svg>
                    Beginner
                  </li>
                </ul>
                <div class="lh-1">
                  <span>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning"></i>
                  </span>
                  <span class="text-warning">4.5</span>
                  <span class="font-size-xs text-muted">(17,000)</span>
                </div>
              </div>
              <!-- Card Footer -->
              <div class="card-footer">
                <div class="row align-items-center no-gutters">
                  <div class="col-auto">
                    <img src="{% static 'images/avatar/avatar-7.jpg' %}" class="rounded-circle avatar-xs" alt="">
                  </div>
                  <div class="col ml-2">
                    <span>Juanita Bell</span>
                  </div>
                  <div class="col-auto">
                    <a href="#!" class="text-muted bookmark">
                      <i class="fe fe-bookmark  "></i>
                    </a>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="item">
            <!-- Card -->
            <div class="card  mb-4 card-hover">
              <a href="pages/course-single.html" class="card-img-top"><img src="{% static 'images/course/course-wordpress.jpg' %}"
                  alt="" class="card-img-top rounded-top"></a>
              <!-- Card Body -->
              <div class="card-body">
                <h4 class="mb-2 text-truncate-line-2 "><a href="pages/course-single.html"
                    class="text-inherit">Wordpress:
                    complete WordPress theme & plugin development</a></h4>
                <!-- List -->
                <ul class="mb-3 list-inline">
                  <li class="list-inline-item"><i class="far fa-clock mr-1"></i>2h 30m</li>
                  <li class="list-inline-item">
                    <svg class="mr-1 mt-n1" width="16" height="16" viewBox="0 0 16 16" fill="none"
                      xmlns="http://www.w3.org/2000/svg">
                      <rect x="3" y="8" width="2" height="6" rx="1" fill="#754FFE" />
                      <rect x="7" y="5" width="2" height="9" rx="1" fill="#754FFE" />
                      <rect x="11" y="2" width="2" height="12" rx="1" fill="#DBD8E9" />
                    </svg>
                    Intermediate
                  </li>
                </ul>
                <div class="lh-1">
                  <span>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning"></i>
                  </span>
                  <span class="text-warning">4.5</span>
                  <span class="font-size-xs text-muted">(16,500)</span>
                </div>
              </div>
              <!-- Card Footer -->
              <div class="card-footer">
                <div class="row align-items-center no-gutters">
                  <div class="col-auto">
                    <img src="{% static 'images/avatar/avatar-8.jpg' %}" class="rounded-circle avatar-xs" alt="">
                  </div>
                  <div class="col ml-2">
                    <span>Claire Robertson</span>
                  </div>
                  <div class="col-auto">
                    <a href="#!" class="text-muted bookmark">
                      <i class="fe fe-bookmark  "></i>
                    </a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="pb-lg-8 pt-lg-3 py-6">
    <div class="container">
      <div class="row mb-4">
        <div class="col">
          <h2 class="mb-0">Trending</h2>
        </div>

      </div>
      <div class="position-relative">
        <ul class="controls" id="sliderThirdControls">
          <li class="prev">
                  <i class="fe fe-chevron-left"></i>
                </li>
                <li class="next">
                  <i class="fe fe-chevron-right"></i>
                </li>
        </ul>
        <div class="sliderThird">
          <div class="item">
            <!-- Card -->
            <div class="card  mb-4 card-hover">
              <a href="pages/course-single.html" class="card-img-top"><img src="{% static 'images/course/course-react.jpg' %}" alt=""
                  class="card-img-top rounded-top">
              </a>
              <!-- Card Body -->
              <div class="card-body">
                <h4 class="mb-2 text-truncate-line-2"><a href="pages/course-single.html" class="text-inherit">How to
                    easily create a website with React</a></h4>
                <!-- List -->
                <ul class="mb-3 list-inline">
                  <li class="list-inline-item"><i class="far fa-clock mr-1"></i>3h 56m</li>
                  <li class="list-inline-item">
                    <svg class="mr-1 mt-n1" width="16" height="16" viewBox="0 0 16 16" fill="none"
                      xmlns="http://www.w3.org/2000/svg">
                      <rect x="3" y="8" width="2" height="6" rx="1" fill="#754FFE" />
                      <rect x="7" y="5" width="2" height="9" rx="1" fill="#DBD8E9" />
                      <rect x="11" y="2" width="2" height="12" rx="1" fill="#DBD8E9" />
                    </svg>
                    Beginner
                  </li>
                </ul>
                <div class="lh-1">
                  <span>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning"></i>
                  </span>
                  <span class="text-warning">4.5</span>
                  <span class="font-size-xs text-muted">(12,245)</span>
                </div>
              </div>
              <!-- Card Footer -->
              <div class="card-footer">
                <div class="row align-items-center no-gutters">
                  <div class="col-auto">
                    <img src="{% static 'images/avatar/avatar-9.jpg' %}" class="rounded-circle avatar-xs" alt="">
                  </div>
                  <div class="col ml-2">
                    <span>Morris Mccoy</span>
                  </div>
                  <div class="col-auto">
                    <a href="#!" class="text-muted bookmark">
                      <i class="fe fe-bookmark  "></i>
                    </a>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="item">
            <!-- Card -->
            <div class="card  mb-4 card-hover">
              <a href="pages/course-single.html" class="card-img-top"><img src="{% static 'images/course/course-graphql.jpg' %}" alt=""
                  class="card-img-top rounded-top"></a>
              <!-- Card Body -->
              <div class="card-body">
                <h4 class="mb-2 text-truncate-line-2 "><a href="pages/course-single.html" class="text-inherit">GraphQL:
                    introduction to graphQL for beginners</a></h4>
                <!-- List -->
                <ul class="mb-3 list-inline">
                  <li class="list-inline-item"><i class="far fa-clock mr-1"></i>2h 46m</li>
                  <li class="list-inline-item">
                    <svg class="mr-1 mt-n1" width="16" height="16" viewBox="0 0 16 16" fill="none"
                      xmlns="http://www.w3.org/2000/svg">
                      <rect x="3" y="8" width="2" height="6" rx="1" fill="#754FFE" />
                      <rect x="7" y="5" width="2" height="9" rx="1" fill="#754FFE" />
                      <rect x="11" y="2" width="2" height="12" rx="1" fill="#754FFE" />
                    </svg>
                    Advance
                  </li>
                </ul>
                <div class="lh-1">
                  <span>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning"></i>
                  </span>
                  <span class="text-warning">4.5</span>
                  <span class="font-size-xs text-muted">(15,350)</span>
                </div>
              </div>
              <!-- Card Footer -->
              <div class="card-footer">
                <div class="row align-items-center no-gutters">
                  <div class="col-auto">
                    <img src="{% static 'images/avatar/avatar-10.jpg' %}" class="rounded-circle avatar-xs" alt="">
                  </div>
                  <div class="col ml-2">
                    <span>Ted Hawkins</span>
                  </div>
                  <div class="col-auto">
                    <a href="#!" class="text-muted bookmark">
                      <i class="fe fe-bookmark  "></i>
                    </a>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="item">
            <!-- Card -->
            <div class="card  mb-4 card-hover">
              <a href="pages/course-single.html" class="card-img-top"><img src="{% static 'images/course/course-angular.jpg' %}" alt=""
                  class="card-img-top rounded-top"></a>
              <!-- Card Body -->
              <div class="card-body">
                <h4 class="mb-2 text-truncate-line-2 "><a href="pages/course-single.html" class="text-inherit">Angular -
                    the complete guide for beginner</a></h4>
                <!-- List -->
                <ul class="mb-3 list-inline">
                  <li class="list-inline-item"><i class="far fa-clock mr-1"></i>1h 30m</li>
                  <li class="list-inline-item">
                    <svg class="mr-1 mt-n1" width="16" height="16" viewBox="0 0 16 16" fill="none"
                      xmlns="http://www.w3.org/2000/svg">
                      <rect x="3" y="8" width="2" height="6" rx="1" fill="#754FFE" />
                      <rect x="7" y="5" width="2" height="9" rx="1" fill="#DBD8E9" />
                      <rect x="11" y="2" width="2" height="12" rx="1" fill="#DBD8E9" />
                    </svg>
                    Beginner
                  </li>
                </ul>
                <div class="lh-1">
                  <span>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning"></i>
                  </span>
                  <span class="text-warning">4.5</span>
                  <span class="font-size-xs text-muted">(6,600)</span>
                </div>
              </div>
              <!-- Card Footer -->
              <div class="card-footer">
                <div class="row align-items-center no-gutters">
                  <div class="col-auto">
                    <img src="{% static 'images/avatar/avatar-4.jpg' %}" class="rounded-circle avatar-xs" alt="">
                  </div>
                  <div class="col ml-2">
                    <span>Juanita Bell</span>
                  </div>
                  <div class="col-auto">
                    <a href="#!" class="text-muted bookmark">
                      <i class="fe fe-bookmark  "></i>
                    </a>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="item">
            <!-- Card -->
            <div class="card  mb-4 card-hover">
              <a href="pages/course-single.html" class="card-img-top"><img src="{% static 'images/course/course-python.jpg' %}" alt=""
                  class="card-img-top rounded-top"></a>
              <!-- Card Body -->
              <div class="card-body">
                <h4 class="mb-2 text-truncate-line-2 "><a href="pages/course-single.html" class="text-inherit">The
                    Python
                    Course: build web application</a></h4>
                <!-- List -->
                <ul class="mb-3 list-inline">
                  <li class="list-inline-item"><i class="far fa-clock mr-1"></i>2h 30m</li>
                  <li class="list-inline-item">
                    <svg class="mr-1 mt-n1" width="16" height="16" viewBox="0 0 16 16" fill="none"
                      xmlns="http://www.w3.org/2000/svg">
                      <rect x="3" y="8" width="2" height="6" rx="1" fill="#754FFE" />
                      <rect x="7" y="5" width="2" height="9" rx="1" fill="#754FFE" />
                      <rect x="11" y="2" width="2" height="12" rx="1" fill="#DBD8E9" />
                    </svg>
                    Intermediate
                  </li>
                </ul>
                <div class="lh-1">
                  <span>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning"></i>
                  </span>
                  <span class="text-warning">4.5</span>
                  <span class="font-size-xs text-muted">(2,500)</span>
                </div>
              </div>
              <!-- Card Footer -->
              <div class="card-footer">
                <div class="row align-items-center no-gutters">
                  <div class="col-auto">
                    <img src="{% static 'images/avatar/avatar-6.jpg' %}" class="rounded-circle avatar-xs" alt="">
                  </div>
                  <div class="col ml-2">
                    <span>Claire Robertson</span>
                  </div>
                  <div class="col-auto">
                    <a href="#!" class="text-muted bookmark">
                      <i class="fe fe-bookmark  "></i>
                    </a>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="item">
            <!-- Card -->
            <div class="card  mb-4 card-hover">
              <a href="pages/course-single.html" class="card-img-top"><img src="{% static 'images/course/course-graphql.jpg' %}" alt=""
                  class="card-img-top rounded-top"></a>
              <!-- Card Body -->
              <div class="card-body">
                <h4 class="mb-2 text-truncate-line-2 "><a href="pages/course-single.html" class="text-inherit">GraphQL:
                    introduction to graphQL for beginners</a></h4>
                <!-- List -->
                <ul class="mb-3 list-inline">
                  <li class="list-inline-item"><i class="far fa-clock mr-1"></i>2h 46m</li>
                  <li class="list-inline-item">
                    <svg class="mr-1 mt-n1" width="16" height="16" viewBox="0 0 16 16" fill="none"
                      xmlns="http://www.w3.org/2000/svg">
                      <rect x="3" y="8" width="2" height="6" rx="1" fill="#754FFE" />
                      <rect x="7" y="5" width="2" height="9" rx="1" fill="#754FFE" />
                      <rect x="11" y="2" width="2" height="12" rx="1" fill="#754FFE" />
                    </svg>
                    Advance
                  </li>
                </ul>
                <div class="lh-1">
                  <span>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning"></i>
                  </span>
                  <span class="text-warning">4.5</span>
                  <span class="font-size-xs text-muted">(15,350)</span>
                </div>
              </div>
              <!-- Card Footer -->
              <div class="card-footer">
                <div class="row align-items-center no-gutters">
                  <div class="col-auto">
                    <img src="{% static 'images/avatar/avatar-10.jpg' %}" class="rounded-circle avatar-xs" alt="">
                  </div>
                  <div class="col ml-2">
                    <span>Ted Hawkins</span>
                  </div>
                  <div class="col-auto">
                    <a href="#!" class="text-muted bookmark">
                      <i class="fe fe-bookmark  "></i>
                    </a>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="item">
            <!-- Card -->
            <div class="card  mb-4 card-hover">
              <a href="pages/course-single.html" class="card-img-top"><img src="{% static 'images/course/course-angular.jpg' %}" alt=""
                  class="card-img-top rounded-top"></a>
              <!-- Card Body -->
              <div class="card-body">
                <h4 class="mb-2 text-truncate-line-2 "><a href="pages/course-single.html" class="text-inherit">Angular -
                    the complete guide for beginner</a></h4>
                <!-- List -->
                <ul class="mb-3 list-inline">
                  <li class="list-inline-item"><i class="far fa-clock mr-1"></i>1h 30m</li>
                  <li class="list-inline-item">
                    <svg class="mr-1 mt-n1" width="16" height="16" viewBox="0 0 16 16" fill="none"
                      xmlns="http://www.w3.org/2000/svg">
                      <rect x="3" y="8" width="2" height="6" rx="1" fill="#754FFE" />
                      <rect x="7" y="5" width="2" height="9" rx="1" fill="#DBD8E9" />
                      <rect x="11" y="2" width="2" height="12" rx="1" fill="#DBD8E9" />
                    </svg>
                    Beginner
                  </li>
                </ul>
                <div class="lh-1">
                  <span>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning"></i>
                  </span>
                  <span class="text-warning">4.5</span>
                  <span class="font-size-xs text-muted">(6,600)</span>
                </div>
              </div>
              <!-- Card Footer -->
              <div class="card-footer">
                <div class="row align-items-center no-gutters">
                  <div class="col-auto">
                    <img src="{% static 'images/avatar/avatar-4.jpg' %}" class="rounded-circle avatar-xs" alt="">
                  </div>
                  <div class="col ml-2">
                    <span>Juanita Bell</span>
                  </div>
                  <div class="col-auto">
                    <a href="#!" class="text-muted bookmark">
                      <i class="fe fe-bookmark  "></i>
                    </a>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="item">
            <!-- Card -->
            <div class="card  mb-4 card-hover">
              <a href="pages/course-single.html" class="card-img-top"><img src="{% static 'images/course/course-python.jpg' %}" alt=""
                  class="card-img-top rounded-top"></a>
              <!-- Card Body -->
              <div class="card-body">
                <h4 class="mb-2 text-truncate-line-2 "><a href="pages/course-single.html" class="text-inherit">The
                    Python
                    Course: build web application</a></h4>
                <!-- List -->
                <ul class="mb-3 list-inline">
                  <li class="list-inline-item"><i class="far fa-clock mr-1"></i>2h 30m</li>
                  <li class="list-inline-item">
                    <svg class="mr-1 mt-n1" width="16" height="16" viewBox="0 0 16 16" fill="none"
                      xmlns="http://www.w3.org/2000/svg">
                      <rect x="3" y="8" width="2" height="6" rx="1" fill="#754FFE" />
                      <rect x="7" y="5" width="2" height="9" rx="1" fill="#754FFE" />
                      <rect x="11" y="2" width="2" height="12" rx="1" fill="#DBD8E9" />
                    </svg>
                    Intermediate
                  </li>
                </ul>
                <div class="lh-1">
                  <span>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning mr-n1"></i>
                    <i class="mdi mdi-star text-warning"></i>
                  </span>
                  <span class="text-warning">4.5</span>
                  <span class="font-size-xs text-muted">(2,500)</span>
                </div>
              </div>
              <!-- Card Footer -->
              <div class="card-footer">
                <div class="row align-items-center no-gutters">
                  <div class="col-auto">
                    <img src="{% static 'images/avatar/avatar-6.jpg' %}" class="rounded-circle avatar-xs" alt="">
                  </div>
                  <div class="col ml-2">
                    <span>Claire Robertson</span>
                  </div>
                  <div class="col-auto">
                    <a href="#!" class="text-muted bookmark">
                      <i class="fe fe-bookmark  "></i>
                    </a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    </div>
    <!-- Footer -->
    
<div class="footer">
    <div class="container">
        <div class="row align-items-center no-gutters border-top py-2">
            <!-- Desc -->
            <div class="col-md-6 col-12 text-center text-md-left">
                <span>© 2020 Geeks. All Rights Reserved.</span>
            </div>
              <!-- Links -->
            <div class="col-12 col-md-6">
                <nav class="nav nav-footer justify-content-center justify-content-md-end">
                    <a class="nav-link active pl-0" href="#!">Privacy</a>
                    <a class="nav-link" href="#!">Terms </a>
                    <a class="nav-link" href="#!">Feedback</a>
                    <a class="nav-link" href="#!">Support</a>
                </nav>
            </div>
        </div>
    </div>
</div>


   <!-- Scripts -->
	<!-- Libs JS -->
	<script src="{% static 'libs/jquery/dist/jquery.min.js' %}"></script>
	<script src="{% static 'libs/bootstrap/dist/js/bootstrap.bundle.min.js' %}"></script>
	<script src="{% static 'libs/odometer/odometer.min.js' %}"></script>
	<script src="{% static 'libs/jquery-slimscroll/jquery.slimscroll.min.js' %}"></script>
	<script src="{% static 'libs/magnific-popup/dist/jquery.magnific-popup.min.js' %}"></script>
	<script src="{% static 'libs/bootstrap-select/dist/js/bootstrap-select.min.js' %}"></script>
	<script src="{% static 'libs/flatpickr/dist/flatpickr.min.js' %}"></script>
	<script src="{% static 'libs/inputmask/dist/jquery.inputmask.min.js' %}"></script>
	<script src="{% static 'libs/apexcharts/dist/apexcharts.min.js' %}"></script>
	<script src="{% static 'libs/quill/dist/quill.min.js' %}"></script>
	<script src="{% static 'libs/file-upload-with-preview/dist/file-upload-with-preview.min.js' %}"></script>
	<script src="{% static 'libs/dragula/dist/dragula.min.js' %}"></script>
	<script src="{% static 'libs/bs-stepper/dist/js/bs-stepper.min.js' %}"></script>
	<script src="{% static 'libs/dropzone/dist/min/dropzone.min.js' %}"></script>
	<script src="{% static 'libs/jQuery.print/jQuery.print.js' %}"></script>
	<script src="{% static 'libs/prismjs/prism.js' %}"></script>
	<script src="{% static 'libs/prismjs/components/prism-scss.min.js' %}"></script>
	<script src="{% static 'libs/@yaireo/tagify/dist/tagify.min.js' %}"></script>
	<script src="{% static 'libs/tiny-slider/dist/min/tiny-slider.js' %}"></script>
	<script src="{% static 'libs/@popperjs/core/dist/umd/popper.min.js' %}"></script>
	<script src="{% static 'libs/tippy.js/dist/tippy-bundle.umd.min.js' %}"></script>
	<script src="{% static 'libs/typed.js/lib/typed.min.js' %}"></script>

<!-- clipboard -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/1.5.12/clipboard.min.js"></script>


<!-- Theme JS -->
<script src="{% static 'js/theme.min.js' %}"></script>

<script>
	document.addEventListener('DOMContentLoaded', function() {
		var webSocketBridge = new WebSocket('ws://localhost:8000/notifications/');
    const nl = document.getElementById("notif"); 

		webSocketBridge.onmessage=function(event){
      const nt = document.getElementById("dropdownNotificationSecond"); 
      nt.className="btn btn-light btn-icon rounded-circle text-muted indicator indicator-primary"
			var notif=event.data;
      var id=notif.substring(1,3);
      const idd=parseInt(id)
      console.log(notif.includes("Request"))
      var notifi=notif.substring(4, notif.length-1)
      console.log(id)
      console.log(notifi)
      if (notif.includes("Course"))
      {
      nl.innerHTML = `
      <li class="list-group-item bg-light">
        <div class="row">
           <div class="col">
            <div class="d-flex">
             <img
              src="{% static 'images/avatar/avatar-1.jpg' %}"
              alt=""
              class="avatar-md rounded-circle"
              />
             <div class="ml-3">
              <h5 class="font-weight-bold mb-1"> Course Notification : </h5>
              <p class="mb-3N">
                 ${notifi}
              </p>
              <span class="font-size-xs text-muted">
              <span
                 ><span
                 class="fe fe-thumbs-up text-success mr-1"
                 ></span
                 ></span
                 >
              <span class="ml-1"></span>
              </span>
             </div>
            </div>
            <a class="stretched-link" id="notif-display" href="{% url 'checkNotification'   7 %}"></a>
           </div>
           <div class="col-auto text-center">
            <a
             href="#!"
             class="badge-dot badge-info"
             data-toggle="tooltip"
             data-placement="top"
             title=""
             data-original-title="Mark as read"
             >
            </a>
            <div>
             <a
              href="#!"
              class="bg-transparent"
              data-toggle="tooltip"
              data-placement="top"
              title=""
              data-original-title="Remove"
              >
             <i class="fe fe-x text-muted"></i>
             </a>
            </div>
           </div>
        </div>
       </li>



      `;

    }
    else if (notif.includes("Request"))
    {
      nl.innerHTML = `
      <li class="list-group-item bg-light">
        <div class="row">
           <div class="col">
            <div class="d-flex">
             <img
              src="{% static 'images/avatar/avatar-1.jpg' %}"
              alt=""
              class="avatar-md rounded-circle"
              />
             <div class="ml-3">
              <h5 class="font-weight-bold mb-1"> Request Notification : </h5>
              <p class="mb-3N">
                 ${notifi}
              </p>
              <span class="font-size-xs text-muted">
              <span
                 ><span
                 class="fe fe-thumbs-up text-success mr-1"
                 ></span
                 ></span
                 >
              <span class="ml-1"></span>
              </span>
             </div>
            </div>
            <a class="stretched-link" id="notif-display" href="{% url 'displayRequestsInstructor'  %}"></a>
           </div>
           <div class="col-auto text-center">
            <a
             href="#!"
             class="badge-dot badge-info"
             data-toggle="tooltip"
             data-placement="top"
             title=""
             data-original-title="Mark as read"
             >
            </a>
            <div>
             <a
              href="#!"
              class="bg-transparent"
              data-toggle="tooltip"
              data-placement="top"
              title=""
              data-original-title="Remove"
              >
             <i class="fe fe-x text-muted"></i>
             </a>
            </div>
           </div>
        </div>
       </li>



      `;

    }
		}
	  })
</script>


</body>

</html>